<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Don't access directly
};

/**
 * The list of flags
 *
 * For each flag:
 * the key is the flag file name (without the extension)
 * the value is the Country name
 */
$flags = array(
    'af'        => __( 'Afghanistan', 'falang' ),
    'ax'        => __( 'Åland Islands', 'falang' ),
    'al'        => __( 'Albania', 'falang' ),
    'dz'        => __( 'Algeria', 'falang' ),
    'as'        => __( 'American Samoa', 'falang' ),
    'ad'        => __( 'Andorra', 'falang' ),
    'ao'        => __( 'Angola', 'falang' ),
    'ai'        => __( 'Anguilla', 'falang' ),
    'aq'        => __( 'Antarctica', 'falang' ),//added
    'ag'        => __( 'Antigua and Barbuda', 'falang' ),
    'arab'      => __( 'Arab league', 'falang' ),//is .sa, this is doublure
    'ar'        => __( 'Argentina', 'falang' ),
    'am'        => __( 'Armenia', 'falang' ),
    'aw'        => __( 'Aruba', 'falang' ),
    'au'        => __( 'Australia', 'falang' ),
    'at'        => __( 'Austria', 'falang' ),
    'az'        => __( 'Azerbaijan', 'falang' ),
    'bs'        => __( 'Bahamas', 'falang' ),
    'bh'        => __( 'Bahrain', 'falang' ),
    'bd'        => __( 'Bangladesh', 'falang' ),
    'bb'        => __( 'Barbados', 'falang' ),
    'basque'    => __( 'Basque Country', 'falang' ),//added "Country"
    'by'        => __( 'Belarus', 'falang' ),
    'be'        => __( 'Belgium', 'falang' ),
    'bz'        => __( 'Belize', 'falang' ),
    'bj'        => __( 'Benin', 'falang' ),
    'bm'        => __( 'Bermuda', 'falang' ),
    'bt'        => __( 'Bhutan', 'falang' ),
    'bo'        => __( 'Bolivia', 'falang' ),
    'bq'        => __( 'Bonaire, Sint Eustatius and Saba', 'falang' ),//added
    'ba'        => __( 'Bosnia and Herzegovina', 'falang' ),
    'bw'        => __( 'Botswana', 'falang' ),
    'bv'        => __( 'Bouvet Island (NO)', 'falang' ),//name specified
    'br'        => __( 'Brazil', 'falang' ),
    'io'        => __( 'British Indian Ocean Territory', 'falang' ),
    'bn'        => __( 'Brunei', 'falang' ),
    'bg'        => __( 'Bulgaria', 'falang' ),
    'bf'        => __( 'Burkina Faso', 'falang' ),
    'bi'        => __( 'Burundi', 'falang' ),
    'cv'        => __( 'Cape Verde', 'falang' ),
    'kh'        => __( 'Cambodia', 'falang' ),
    'cm'        => __( 'Cameroon', 'falang' ),
    'ca'        => __( 'Canada', 'falang' ),
    'catalonia' => __( 'Catalonia', 'falang' ),
    'ky'        => __( 'Cayman Islands', 'falang' ),
    'cf'        => __( 'Central African Republic', 'falang' ),
    'td'        => __( 'Chad', 'falang' ),
    'cl'        => __( 'Chile', 'falang' ),
    'cn'        => __( 'China', 'falang' ),
    'cx'        => __( 'Christmas (Keeling) Islands', 'falang' ),//name specified
    'cc'        => __( 'Cocos', 'falang' ),
    'co'        => __( 'Colombia', 'falang' ),
    'km'        => __( 'Comoros', 'falang' ),
    'cg'        => __( 'Congo', 'falang' ),
    'cd'        => __( 'Congo, Democratic Republic', 'falang' ),
    'ck'        => __( 'Cook Islands', 'falang' ),
    'cr'        => __( 'Costa Rica', 'falang' ),
    'hr'        => __( 'Croatia', 'falang' ),
    'cu'        => __( 'Cuba', 'falang' ),
    'cw'        => __( 'Curaçao (NL)', 'falang' ),
    'cy'        => __( 'Cyprus', 'falang' ),
    'cz'        => __( 'Czech Republic', 'falang' ),
    'dk'        => __( 'Denmark', 'falang' ),
    'dj'        => __( 'Djibouti', 'falang' ),
    'dm'        => __( 'Dominica', 'falang' ),
    'do'        => __( 'Dominican Republic', 'falang' ),
    'ec'        => __( 'Ecuador', 'falang' ),
    'eg'        => __( 'Egypt', 'falang' ),
    'sv'        => __( 'El Salvador', 'falang' ),
    'england'   => __( 'England', 'falang' ),
    'gq'        => __( 'Equatorial Guinea', 'falang' ),
    'er'        => __( 'Eritrea', 'falang' ),
    'esperanto' => __( 'Esperanto', 'falang' ),
    'ee'        => __( 'Estonia', 'falang' ),
    'sz'        => __( 'Eswatini (Swaziland)', 'falang' ),//name changed
    'et'        => __( 'Ethiopia', 'falang' ),
    'fk'        => __( 'Falkland Islands (Malvinas)', 'falang' ),//name changed
    'fo'        => __( 'Faroe Islands', 'falang' ),
    'fj'        => __( 'Fiji', 'falang' ),
    'fi'        => __( 'Finland', 'falang' ),
    'fr'        => __( 'France', 'falang' ),
    'gf'        => __( 'French Guiana', 'falang' ), //added
    'pf'        => __( 'French Polynesia', 'falang' ),
    'tf'        => __( 'French Southern Territories', 'falang' ),
    'ga'        => __( 'Gabon', 'falang' ),
    'galicia'   => __( 'Galicia', 'falang' ),
    'gm'        => __( 'Gambia', 'falang' ),
    'ge'        => __( 'Georgia', 'falang' ),
    'de'        => __( 'Germany', 'falang' ),
    'gh'        => __( 'Ghana', 'falang' ),
    'gi'        => __( 'Gibraltar', 'falang' ),
    'gr'        => __( 'Greece', 'falang' ),
    'gl'        => __( 'Greenland', 'falang' ),
    'gd'        => __( 'Grenada', 'falang' ),
    'gp'        => __( 'Guadeloupe', 'falang' ),
    'gu'        => __( 'Guam', 'falang' ),
    'gt'        => __( 'Guatemala', 'falang' ),
    'gg'        => __( 'Guernsey', 'falang' ),//added
    'gn'        => __( 'Guinea', 'falang' ),
    'gw'        => __( 'Guinea-Bissau', 'falang' ),
    'gy'        => __( 'Guyana', 'falang' ),
    'ht'        => __( 'Haiti', 'falang' ),
    'hm'        => __( 'Heard Island and McDonald Islands', 'falang' ),
    'hn'        => __( 'Honduras', 'falang' ),
    'hk'        => __( 'Hong Kong', 'falang' ),
    'hu'        => __( 'Hungary', 'falang' ),
    'is'        => __( 'Iceland', 'falang' ),
    'in'        => __( 'India', 'falang' ),
    'id'        => __( 'Indonesia', 'falang' ),
    'ir'        => __( 'Iran', 'falang' ),
    'iq'        => __( 'Iraq', 'falang' ),
    'ie'        => __( 'Ireland, Republic of', 'falang' ),//name changed
    'im'        => __( 'Isle of Man', 'falang' ),//added
    'il'        => __( 'Israel', 'falang' ),
    'it'        => __( 'Italy', 'falang' ),
    'ci'        => __( 'Ivory Coast', 'falang' ),
    'jm'        => __( 'Jamaica', 'falang' ),
    'jp'        => __( 'Japan', 'falang' ),
    'je'        => __( 'Jersey', 'falang' ),//added
    'jo'        => __( 'Jordan', 'falang' ),
    'kz'        => __( 'Kazakhstan', 'falang' ),
    'ke'        => __( 'Kenya', 'falang' ),
    'ki'        => __( 'Kiribati', 'falang' ),
    'kurdistan' => __( 'Kurdistan', 'falang' ),
    'kw'        => __( 'Kuwait', 'falang' ),
    'kg'        => __( 'Kyrgyzstan', 'falang' ),
    'la'        => __( 'Laos', 'falang' ),
    'lv'        => __( 'Latvia', 'falang' ),
    'lb'        => __( 'Lebanon', 'falang' ),
    'ls'        => __( 'Lesotho', 'falang' ),
    'lr'        => __( 'Liberia', 'falang' ),
    'ly'        => __( 'Libya', 'falang' ),
    'li'        => __( 'Liechtenstein', 'falang' ),
    'lt'        => __( 'Lithuania', 'falang' ),
    'lu'        => __( 'Luxembourg', 'falang' ),
    'mo'        => __( 'Macao', 'falang' ),
    'mg'        => __( 'Madagascar', 'falang' ),
    'mw'        => __( 'Malawi', 'falang' ),
    'my'        => __( 'Malaysia', 'falang' ),
    'mv'        => __( 'Maldives', 'falang' ),
    'ml'        => __( 'Mali', 'falang' ),
    'mt'        => __( 'Malta', 'falang' ),
    'mh'        => __( 'Marshall Islands', 'falang' ),
    'mq'        => __( 'Martinique', 'falang' ),
    'mr'        => __( 'Mauritania', 'falang' ),
    'mu'        => __( 'Mauritius', 'falang' ),
    'yt'        => __( 'Mayotte', 'falang' ),
    'mx'        => __( 'Mexico', 'falang' ),
    'fm'        => __( 'Micronesia', 'falang' ),
    'md'        => __( 'Moldova', 'falang' ),
    'mc'        => __( 'Monaco', 'falang' ),
    'mn'        => __( 'Mongolia', 'falang' ),
    'me'        => __( 'Montenegro', 'falang' ),
    'ms'        => __( 'Montserrat', 'falang' ),
    'ma'        => __( 'Morocco', 'falang' ),
    'mz'        => __( 'Mozambique', 'falang' ),
    'mm'        => __( 'Myanmar', 'falang' ),
    'na'        => __( 'Namibia', 'falang' ),
    'nr'        => __( 'Nauru', 'falang' ),
    'np'        => __( 'Nepal', 'falang' ),
    'nl'        => __( 'Netherlands', 'falang' ),
    //'an'        => __( 'Netherlands Antilles', 'falang' ), //REMOVE, tld removed 2010
    'nc'        => __( 'New Caledonia', 'falang' ),
    'nz'        => __( 'New Zealand', 'falang' ),
    'ni'        => __( 'Nicaragua', 'falang' ),
    'ne'        => __( 'Niger', 'falang' ),
    'ng'        => __( 'Nigeria', 'falang' ),
    'nu'        => __( 'Niue', 'falang' ),
    'nf'        => __( 'Norfolk Island', 'falang' ),
    'kp'        => __( 'North Korea', 'falang' ),
    'mk'        => __( 'North Macedonia', 'falang' ),//name changed
    'mp'        => __( 'Northern Mariana Islands', 'falang' ),
    'no'        => __( 'Norway', 'falang' ),
    'occitania' => __( 'Occitania', 'falang' ),
    'om'        => __( 'Oman', 'falang' ),
    'pk'        => __( 'Pakistan', 'falang' ),
    'pw'        => __( 'Palau (Belau)', 'falang' ),//name changed
    'ps'        => __( 'Palestine', 'falang' ),//name changed
    'pa'        => __( 'Panama', 'falang' ),
    'pg'        => __( 'Papua New Guinea', 'falang' ),
    'py'        => __( 'Paraguay', 'falang' ),
    'pe'        => __( 'Peru', 'falang' ),
    'ph'        => __( 'Philippines', 'falang' ),
    'pn'        => __( 'Pitcairn', 'falang' ),
    'pl'        => __( 'Poland', 'falang' ),
    'pt'        => __( 'Portugal', 'falang' ),
    'pr'        => __( 'Puerto Rico', 'falang' ),
    'qa'        => __( 'Qatar', 'falang' ),
    'quebec'    => __( 'Quebec', 'falang' ),
    're'        => __( 'Réunion', 'falang' ),//added
    'ro'        => __( 'Romania', 'falang' ),
    'ru'        => __( 'Russia', 'falang' ),
    'rw'        => __( 'Rwanda', 'falang' ),
    'bl'        => __( 'Saint Barthélemy', 'falang' ),//added
    'sh'        => __( 'Saint Helena, Ascension and Tristan da Cunha', 'falang' ),//name changed
    'kn'        => __( 'Saint Kitts and Nevis', 'falang' ),
    'lc'        => __( 'Saint Lucia', 'falang' ),
    'mf'        => __( 'Saint Martin (FR)', 'falang' ),//added
    'pm'        => __( 'Saint Pierre and Miquelon', 'falang' ),
    'vc'        => __( 'Saint Vincent and the Grenadines', 'falang' ),
    'ws'        => __( 'Samoa', 'falang' ),//name changed
    'sm'        => __( 'San Marino', 'falang' ),
    'st'        => __( 'São Tomé and Príncipe', 'falang' ),
    'sa'        => __( 'Saudi Arabia', 'falang' ),
    'scotland'  => __( 'Scotland', 'falang' ),
    'sn'        => __( 'Senegal', 'falang' ),
    'rs'        => __( 'Serbia', 'falang' ),
    'sc'        => __( 'Seychelles', 'falang' ),
    'sl'        => __( 'Sierra Leone', 'falang' ),
    'sg'        => __( 'Singapore', 'falang' ),
    'sx'        => __( 'Sint Maarten (NL)', 'falang' ),//added
    'sk'        => __( 'Slovakia', 'falang' ),
    'si'        => __( 'Slovenia', 'falang' ),
    'sb'        => __( 'Solomon Islands', 'falang' ),
    'so'        => __( 'Somalia', 'falang' ),
    'za'        => __( 'South Africa', 'falang' ),
    'gs'        => __( 'South Georgia and the South Sandwich Islands', 'falang' ),
    'kr'        => __( 'South Korea', 'falang' ),
    'ss'        => __( 'South Sudan', 'falang' ),
    'es'        => __( 'Spain', 'falang' ),
    'lk'        => __( 'Sri Lanka', 'falang' ),
    'sd'        => __( 'Sudan', 'falang' ),//added
    'sr'        => __( 'Suriname', 'falang' ),
    'sj'        => __( 'Svalbard and Jan Mayen', 'falang' ),//added
    //'sw'        => __( 'Swahili', 'falang' ),//REMOVE, is not an official tld
    'se'        => __( 'Sweden', 'falang' ),
    'ch'        => __( 'Switzerland', 'falang' ),
    'sy'        => __( 'Syria', 'falang' ),
    'tw'        => __( 'Taiwan', 'falang' ),
    'tj'        => __( 'Tajikistan', 'falang' ),
    'tz'        => __( 'Tanzania', 'falang' ),
    'th'        => __( 'Thailand', 'falang' ),
    'tibet'     => __( 'Tibet', 'falang' ),
    'tl'        => __( 'Timor-Leste (East Timor)', 'falang' ),//name changed
    'tg'        => __( 'Togo', 'falang' ),
    'tk'        => __( 'Tokelau', 'falang' ),
    'to'        => __( 'Tonga', 'falang' ),
    'tt'        => __( 'Trinidad and Tobago', 'falang' ),
    'tn'        => __( 'Tunisia', 'falang' ),
    'tr'        => __( 'Turkey', 'falang' ),
    'tm'        => __( 'Turkmenistan', 'falang' ),
    'tc'        => __( 'Turks and Caicos Islands', 'falang' ),
    'tv'        => __( 'Tuvalu', 'falang' ),
    'ug'        => __( 'Uganda', 'falang' ),
    'ua'        => __( 'Ukraine', 'falang' ),
    'ae'        => __( 'United Arab Emirates', 'falang' ),
    'gb'        => __( 'United Kingdom (Great Britain and Northern Ireland)', 'falang' ),//name changed
    'um'        => __( 'United States Minor Outlying Islands', 'falang' ),//added
    'us'        => __( 'United States of America', 'falang' ),//name changed
    'uy'        => __( 'Uruguay', 'falang' ),
    'uz'        => __( 'Uzbekistan', 'falang' ),
    'vu'        => __( 'Vanuatu', 'falang' ),
    'va'        => __( 'Vatican', 'falang' ),
    'veneto'    => __( 'Veneto', 'falang' ),
    've'        => __( 'Venezuela', 'falang' ),
    'vn'        => __( 'Vietnam (Viet Nam)', 'falang' ),//name changed
    'vg'        => __( 'Virgin Islands (British)', 'falang' ),//name changed
    'vi'        => __( 'Virgin Islands (U.S.A.)', 'falang' ),//name changed
    'wales'     => __( 'Wales', 'falang' ),
    'wf'        => __( 'Wallis and Futuna', 'falang' ),
    'eh'        => __( 'Western Sahara', 'falang' ),//not official tld, REMOVE?
    'ye'        => __( 'Yemen', 'falang' ),
    'zm'        => __( 'Zambia', 'falang' ),
    'zw'        => __( 'Zimbabwe', 'falang' ),
);

/**
 * Filter the list of predefined flags
 *
 * @since 1.0
 *
 * @param array $flags
 */
$flags = apply_filters( 'falang_predefined_flags', $flags );
